from SyntaxDesc import *
from Register import *
def IDLSyntax():
	return SyntaxDesc(
		Words(gStyleStructKeyword,
			"FALSE",
			"TRUE",
			"any",
			"attribute",
			"boolean",
			"case",
			"char",
			"const",
			"context",
			"default",
			"double",
			"enum",
			"exception",
			"fixed",
			"float",
			"in",
			"inout",
			"interface",
			"long",
			"module",
			"octet",
			"oneway",
			"out",
			"raises",
			"readonly",
			"sequence",
			"short",
			"string",
			"struct",
			"switch",
			"typedef",
			"union",
			"unsigned",
			"void",
			"wchar",
			"wstring",
			"opaque",
			"extensible",
			"valuetype",
			"public",
			"protected",
			"private"
		),
		Regex(gStyleString,
			'\(\'\\\\?.\'\|"\([^\\"\n]\|\\\\.\|\\\\\n\)*"\)'
		),
		IfCommentHighlight(Regex(gStyleComment,'//.*')),
		IfCommentHighlight(MatchPair(gStyleComment,'/*','*/')),
	)

RegisterSyntax(IDLSyntax,"IDL")
